List fine-tuning jobs
curl --request GET \
--url https://gateway.errorbar.ai/v1/fine_tuning/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.errorbar.ai/v1/fine_tuning/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.errorbar.ai/v1/fine_tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gateway.errorbar.ai/v1/fine_tuning/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gateway.errorbar.ai/v1/fine_tuning/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gateway.errorbar.ai/v1/fine_tuning/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gateway.errorbar.ai/v1/fine_tuning/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"provider_job_id": "<string>",
"name": "<string>",
"base_model": "<string>",
"method": "supervised",
"status": "VALIDATING_FILES",
"fine_tuned_model": "<string>",
"deployed_model_name": "<string>",
"deploy_status": "<string>",
"deploy_error": "<string>",
"trained_tokens": "<string>",
"trained_steps": 123,
"total_steps": 123,
"rate_per_m_token_usd": 123,
"billed_cost_usd": 123,
"error": "<string>",
"created_at": "<string>"
}
]{
"error": {
"message": "Invalid API key",
"type": "invalid_request_error",
"code": "invalid_api_key"
}
}Fine-tuning API
List fine-tuning jobs
GET
/
v1
/
fine_tuning
/
jobs
List fine-tuning jobs
curl --request GET \
--url https://gateway.errorbar.ai/v1/fine_tuning/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://gateway.errorbar.ai/v1/fine_tuning/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gateway.errorbar.ai/v1/fine_tuning/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gateway.errorbar.ai/v1/fine_tuning/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gateway.errorbar.ai/v1/fine_tuning/jobs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gateway.errorbar.ai/v1/fine_tuning/jobs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gateway.errorbar.ai/v1/fine_tuning/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"provider_job_id": "<string>",
"name": "<string>",
"base_model": "<string>",
"method": "supervised",
"status": "VALIDATING_FILES",
"fine_tuned_model": "<string>",
"deployed_model_name": "<string>",
"deploy_status": "<string>",
"deploy_error": "<string>",
"trained_tokens": "<string>",
"trained_steps": 123,
"total_steps": 123,
"rate_per_m_token_usd": 123,
"billed_cost_usd": 123,
"error": "<string>",
"created_at": "<string>"
}
]{
"error": {
"message": "Invalid API key",
"type": "invalid_request_error",
"code": "invalid_api_key"
}
}Authorizations
Your workspace API key, e.g. sk_sovereign_..., sent as Authorization: Bearer <key>.
Response
A list of jobs.
Opaque upstream job id.
Available options:
supervised, spec-draft Available options:
VALIDATING_FILES, QUEUED, RUNNING, SUCCEEDED, FAILED, CANCELLED Output model id once the job succeeds.
The servable model name after deployment; null until deployed.
Deploy pipeline progress ("queued", "staging", "relaying", "converting", "provisioning", "serving", "failed"); null = never deployed. Stages evolve with the pipeline.
Failure reason when deploy_status is "failed".
Tokens trained, as a string (drives billing).
Your price per 1M trained tokens.
Final billed training cost once the job reaches a terminal status.
Failure reason when status is FAILED.